Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Jan 2023 21:08:08 +0200

On 05/01/2023 18:59, martin rudalics wrote:
>  > I'm not seeing much of a change, if any:
>  >
>  > - My init script stills results in a frame 84 columns wide.
>  >
>  > - The frame still shrinks at certain width ranges.
>  >
>  > Attached are the contents of foo after doing this:
>  >
>  >    (set-frame-width nil 102)
>  >    (set-face-attribute 'default nil :height 110 :family 
> "InconsolataLGC")
>  >
>  > The second line was evaluated 5 times.
> 
> Thanks.  It seems that we really have to disentangle the entire size
> hint stuff to get reasonable outer sizes.  Next patch attached.

- frame-text-cols from my init script is still ends up at 84 cols.

- 'emacs -Q' has its height shrinking again now.

- Its width is shrinking too, at certain widths. Not at 80 cols.

So I double-checked -- and both behaviors with the latest patch match 
what the current (unpatched) emacs-29 does. I just hadn't noticed width 
shrinking because I haven't tried to resize the frame first.

Attached are the contents of *foo* again after

(set-frame-width nil 102) ; x1
(set-face-attribute 'default nil :height 110 :family
"InconsolataLGC") ; x6